﻿@using devMVC.Models;
@model SearchListModel
@{
    ViewData["Title"] = "Home Page | Test devMVC";
}
<div class="container">
    <form method="get" id="frmContent">
        <div class="col-md-12">
            <div class="col-md-3">
                <label>List</label>
            </div>
            <div class="col-md-12">
                <input type="text" id="txtList" name="txtList" class="form-control" value="@ViewBag.txtList" />
            </div>
        </div>
        <div class="col-md-12">
            <div class="col-md-3">
                <label>ค้นหา</label>
            </div>
            <div class="col-md-6">
                <input type="number" id="txtSearch" name="txtSearch" class="form-control col-md-9 float-left" value="@ViewBag.txtSearch" />
            </div>
            <div class="col-md-3 float-left">
                <button type="submit" class="btn btn-success">ค้นหา</button>
            </div>
        </div>
        <div class="col-md-12 float-left">
            <label class="col-md-3">ประเภทการค้นหา</label>
            <div class="col-md-6">
                <select class="form-control" id="typeSH" name="typeSH">
                    <option value="1">1 Linear Search</option>
                    <option value="2">2 Binary Search</option>
                    <option value="3">3 Bubble Search</option>
                </select>
            </div>
        </div>
        @{
            if (Model.Value != null)
            {
                foreach (var item in Model.Value)
                {
                    <div class="col-md-12 text-center">@item</div>
                }
            }

        }
    </form>
</div>